//---------------------------------------------------------------------------

#ifndef Unit6H
#define Unit6H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <DB.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------
class TForm6 : public TForm
{
__published:	// IDE-managed Components
                    TMainMenu *MainMenu1;
                    TMenuItem *N1;
                    TMenuItem *N2;
                    TMenuItem *N3;
                    TMenuItem *N4;
                    TLabel *Label1;
                    TLabel *Label2;
                    TComboBox *ComboBox1;
                    TComboBox *ComboBox2;
                    TButton *Button1;
                    TButton *Button2;
                    TButton *Button3;
                    TImage *Image1;
                    TButton *Button4;
                    TButton *Button5;
                    TOpenDialog *OpenDialog1;
                    TSaveDialog *SaveDialog1;
        TMenuItem *ltx;
        TDBGrid *DBGrid1;
        TTable *Table1;
        TDataSource *DataSource1;
        TMenuItem *N5;
        TMenuItem *N6;
        TGroupBox *GroupBox1;
        TRadioButton *RadioButton1;
        TRadioButton *RadioButton2;
        TRadioButton *RadioButton3;
        TMenuItem *N7;
        TDatabase *Database1;
        TGroupBox *GroupBox2;
        TRadioButton *RadioButton4;
        TRadioButton *RadioButton5;
                    void __fastcall FormCreate(TObject *Sender);
                    void __fastcall N2Click(TObject *Sender);
                    void __fastcall Button1Click(TObject *Sender);
                    void __fastcall Button3Click(TObject *Sender);
                    void __fastcall Button4Click(TObject *Sender);
                    void __fastcall Button5Click(TObject *Sender);
                    void __fastcall Button2Click(TObject *Sender);
        void __fastcall ltxClick(TObject *Sender);
        void __fastcall N5Click(TObject *Sender);
        void __fastcall N6Click(TObject *Sender);
        void __fastcall RadioButton2Click(TObject *Sender);
        void __fastcall RadioButton1Click(TObject *Sender);
        void __fastcall RadioButton3Click(TObject *Sender);
        void __fastcall N7Click(TObject *Sender);
        void __fastcall RadioButton4Click(TObject *Sender);
        void __fastcall RadioButton5Click(TObject *Sender);
        void __fastcall N4Click(TObject *Sender);
private:	String sn[300],sn1[300],sn2[300];
                    int i2;// User declarations
                    //
                    int js,jsi,tracknum,trackwidth,dj,Name_Height,j,ljcs[30],ccltwz[30][500],totaldpnum;
                    AnsiString Jh[300],Yczmc[300],Dymc[300],Jhc[300],Yczmcc[300],Dymcc[300],Bz[300],Bzc[300],Jh1[300],Yczmc1[300],Dymc1[300],Bz1[300];
                    String cc1[50],cc2[50],str16[50][500],str20[50][500];
                    float a21lj[30][500];
                    AnsiString la_Location[50];
                    AnsiString jhw[50][500];
                    float xcw[50][500], dsw[50][500],hdw[50][500],dbsd[50][500],syhd[50][500],yxhdd[50][500],yx[50][500];
                    AnsiString la_Name[50],File_name;
                    AnsiString dbf_Name[50];
                    int Xh[300],Xh1[300],Xhc[300],Switch,a8[10],i9;
                    String newname[30];
public:	int turn,num;
                    String ckjm,mbjm[300];      //参考井名，目标井名	// User declarations
                    __fastcall TForm6(TComponent* Owner);
                    void __fastcall Func_A(TObject *Sender);
                    void __fastcall open_074_Auto(TObject *Sender);
                    void __fastcall Func_B(TObject *Sender);
                    void __fastcall open_073_Auto(TObject *Sender);
                    void __fastcall cclt(TObject *Sender);
                    void __fastcall Func_C(TObject *Sender);
                    void __fastcall open_073_NEW(TObject *Sender);
                    void __fastcall open_073_OLD(TObject *Sender);
                    void __fastcall SelectWell();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm6 *Form6;
//---------------------------------------------------------------------------
#endif
